curl
curl --request POST \
--url https://data.us.algolia.com/1/transformations/6c02aeb1-775e-418e-870b-1faccd4b2c0f/try \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"code": "lorem",
"type": "code",
"input": {
"code": "lorem"
},
"sampleRecord": {},
"authentications": [
{
"type": "googleServiceAccount",
"name": "lorem",
"platform": "bigcommerce",
"input": {
"clientEmail": "service-account-name@project-id.iam.gserviceaccount.com",
"privateKey": "lorem"
}
}
]
}
'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.TryTransformationBeforeUpdateAsync(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
new TransformationTry
{
Type = Enum.Parse<TransformationType>("Code"),
Input = new TransformationInput(new TransformationCode { Code = "foo" }),
SampleRecord = new Dictionary<string, string> { { "bar", "baz" } },
}
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.tryTransformationBeforeUpdate(
transformationID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
transformationTry: TransformationTry(
type: TransformationType.fromJson("code"),
input: TransformationCode(
code: "foo",
),
sampleRecord: {
'bar': "baz",
},
),
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.TryTransformationBeforeUpdate(client.NewApiTryTransformationBeforeUpdateRequest(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
ingestion.NewEmptyTransformationTry().
SetType(ingestion.TransformationType("code")).
SetInput(ingestion.TransformationCodeAsTransformationInput(
ingestion.NewEmptyTransformationCode().SetCode("foo"))).
SetSampleRecord(map[string]any{"bar": "baz"}),
))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
TransformationTryResponse response = client.tryTransformationBeforeUpdate(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
new TransformationTry().setType(TransformationType.CODE).setInput(new TransformationCode().setCode("foo")).setSampleRecord(
new HashMap() {
{
put("bar", "baz");
}
}
)
);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.tryTransformationBeforeUpdate({
transformationID: '6c02aeb1-775e-418e-870b-1faccd4b2c0f',
transformationTry: { type: 'code', input: { code: 'foo' }, sampleRecord: { bar: 'baz' } },
});
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.tryTransformationBeforeUpdate(
transformationID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
transformationTry =
TransformationTry(
type = TransformationType.entries.first { it.value == "code" },
input = TransformationCode(code = "foo"),
sampleRecord = buildJsonObject { put("bar", JsonPrimitive("baz")) },
),
)
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->tryTransformationBeforeUpdate(
'6c02aeb1-775e-418e-870b-1faccd4b2c0f',
['type' => 'code',
'input' => ['code' => 'foo',
],
'sampleRecord' => ['bar' => 'baz',
],
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.try_transformation_before_update(
transformation_id="6c02aeb1-775e-418e-870b-1faccd4b2c0f",
transformation_try={
"type": "code",
"input": {
"code": "foo",
},
"sampleRecord": {
"bar": "baz",
},
},
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.try_transformation_before_update(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
Algolia::Ingestion::TransformationTry.new(
type: "code",
input: Algolia::Ingestion::TransformationCode.new(code: "foo"),
sample_record: {bar: "baz"}
)
)
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.tryTransformationBeforeUpdate(
transformationID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
transformationTry = TransformationTry(
`type` = Some(TransformationType.withName("code")),
input = Some(
TransformationCode(
code = "foo"
)
),
sampleRecord = JObject(List(JField("bar", JString("baz"))))
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.tryTransformationBeforeUpdate(
transformationID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
transformationTry: TransformationTry(
type: TransformationType.code,
input: TransformationInput.transformationCode(TransformationCode(code: "foo")),
sampleRecord: ["bar": "baz"]
)
)
// print the response
print(response){
"payloads": [
"<string>"
],
"error": {
"code": 123,
"message": "<string>"
}
}{
"message": "Invalid Application-Id or API-Key"
}Transformations
Try a transformation before updating it
Try a transformation before updating it.
POST
/
1
/
transformations
/
{transformationID}
/
try
curl
curl --request POST \
--url https://data.us.algolia.com/1/transformations/6c02aeb1-775e-418e-870b-1faccd4b2c0f/try \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"code": "lorem",
"type": "code",
"input": {
"code": "lorem"
},
"sampleRecord": {},
"authentications": [
{
"type": "googleServiceAccount",
"name": "lorem",
"platform": "bigcommerce",
"input": {
"clientEmail": "service-account-name@project-id.iam.gserviceaccount.com",
"privateKey": "lorem"
}
}
]
}
'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.TryTransformationBeforeUpdateAsync(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
new TransformationTry
{
Type = Enum.Parse<TransformationType>("Code"),
Input = new TransformationInput(new TransformationCode { Code = "foo" }),
SampleRecord = new Dictionary<string, string> { { "bar", "baz" } },
}
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.tryTransformationBeforeUpdate(
transformationID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
transformationTry: TransformationTry(
type: TransformationType.fromJson("code"),
input: TransformationCode(
code: "foo",
),
sampleRecord: {
'bar': "baz",
},
),
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.TryTransformationBeforeUpdate(client.NewApiTryTransformationBeforeUpdateRequest(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
ingestion.NewEmptyTransformationTry().
SetType(ingestion.TransformationType("code")).
SetInput(ingestion.TransformationCodeAsTransformationInput(
ingestion.NewEmptyTransformationCode().SetCode("foo"))).
SetSampleRecord(map[string]any{"bar": "baz"}),
))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
TransformationTryResponse response = client.tryTransformationBeforeUpdate(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
new TransformationTry().setType(TransformationType.CODE).setInput(new TransformationCode().setCode("foo")).setSampleRecord(
new HashMap() {
{
put("bar", "baz");
}
}
)
);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.tryTransformationBeforeUpdate({
transformationID: '6c02aeb1-775e-418e-870b-1faccd4b2c0f',
transformationTry: { type: 'code', input: { code: 'foo' }, sampleRecord: { bar: 'baz' } },
});
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.tryTransformationBeforeUpdate(
transformationID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
transformationTry =
TransformationTry(
type = TransformationType.entries.first { it.value == "code" },
input = TransformationCode(code = "foo"),
sampleRecord = buildJsonObject { put("bar", JsonPrimitive("baz")) },
),
)
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->tryTransformationBeforeUpdate(
'6c02aeb1-775e-418e-870b-1faccd4b2c0f',
['type' => 'code',
'input' => ['code' => 'foo',
],
'sampleRecord' => ['bar' => 'baz',
],
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.try_transformation_before_update(
transformation_id="6c02aeb1-775e-418e-870b-1faccd4b2c0f",
transformation_try={
"type": "code",
"input": {
"code": "foo",
},
"sampleRecord": {
"bar": "baz",
},
},
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.try_transformation_before_update(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
Algolia::Ingestion::TransformationTry.new(
type: "code",
input: Algolia::Ingestion::TransformationCode.new(code: "foo"),
sample_record: {bar: "baz"}
)
)
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.tryTransformationBeforeUpdate(
transformationID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
transformationTry = TransformationTry(
`type` = Some(TransformationType.withName("code")),
input = Some(
TransformationCode(
code = "foo"
)
),
sampleRecord = JObject(List(JField("bar", JString("baz"))))
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.tryTransformationBeforeUpdate(
transformationID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
transformationTry: TransformationTry(
type: TransformationType.code,
input: TransformationInput.transformationCode(TransformationCode(code: "foo")),
sampleRecord: ["bar": "baz"]
)
)
// print the response
print(response){
"payloads": [
"<string>"
],
"error": {
"code": 123,
"message": "<string>"
}
}{
"message": "Invalid Application-Id or API-Key"
}Required ACL:
addObject, deleteIndex, editSettingsAuthorizations
Path Parameters
Body
application/json
Last modified on March 23, 2026
Was this page helpful?